SYSCALL(2)

NAME
syscall - indirect system call

SYNOPSIS
#include <sys/syscall.h>
#include <unistd.h>
int
syscall(int number, ...);

DESCRIPTION
syscall() performs the system call whose assembly language interface has the specified number with the specified arguments. Symbolic constants for system calls can be found in the header file <sys/syscall.h>.

RETURN VALUES
The return values are defined by the system call being invoked. In general, for system calls returning int, a 0 return value indicates success. A -1 return value indicates an error, and an error code is stored in errno.

HISTORY
The predecessor of these functions, the former indir() system call, first appeared in AT&T UNIX. The syscall() function first appeared in 3BSD.